body {
  font-family: "Chakra Petch", sans-serif;
}
*::selection{
  color: #000000;
  background-color: #C4FC29;
  scroll-behavior: smooth;

}
li{
  
  list-style: none;
}
.days-one-regular {
  font-family: "Days One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.days-one-light {
  font-family: "Days One", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.chakra-petch-light {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.chakra-petch-regular {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.chakra-petch-medium {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.chakra-petch-semibold {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.chakra-petch-bold {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.chakra-petch-light-italic {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.chakra-petch-regular-italic {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.chakra-petch-medium-italic {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.chakra-petch-semibold-italic {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.chakra-petch-bold-italic {
  font-family: "Chakra Petch", sans-serif;
  font-weight: 700;
  font-style: italic;
}

a {
  text-decoration: none;
  color: white;
}

.main-green,
--main-color {
  color: #BCEB1B;

}

.bg-dark-main {

  background-color: #0B0E13 !important;
}

.icon-link:hover {
  color: #CBFE1C;

}

.icon-link {
  display: inline-flex;
  gap: .375rem;
  align-items: center;

  text-decoration-color: white;
  text-underline-offset: 0.25em;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.navbar-brand {
  padding-top: var(--bs-navbar-brand-padding-y);
  padding-bottom: var(--bs-navbar-brand-padding-y);
  margin-right: var(--bs-navbar-brand-margin-end);
  font-size: 1.25rem;
  color: #CBFE1C;

}

.navbar-nav {
  --bs-nav-link-padding-x: 0;
  --bs-nav-link-padding-y: 0.5rem;
  --bs-nav-link-font-weight: ;
  --bs-nav-link-color: white;
  --bs-nav-link-hover-color: #BCEB1B;
  --bs-nav-link-disabled-color: var(--bs-navbar-disabled-color);
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.navbar {
  width: 100%;
  --bs-navbar-padding-x: 0;
  --bs-navbar-padding-y: 01rem;
  /* --bs-navbar-color: rgba(var(--bs-emphasis-color-rgb), 0.65); */
  /* --bs-navbar-hover-color: rgba(var(--bs-emphasis-color-rgb), 0.8); */
  /* --bs-navbar-disabled-color: rgba(var(--bs-emphasis-color-rgb), 0.3); */
  /* --bs-navbar-active-color: rgba(var(--bs-emphasis-color-rgb), 1); */
  --bs-navbar-brand-padding-y: 0.3125rem;
  --bs-navbar-brand-margin-end: 2rem;
  --bs-navbar-brand-font-size: 1.25rem;
  /* --bs-navbar-brand-color: rgba(var(--bs-emphasis-color-rgb), 1); */
  /* --bs-navbar-brand-hover-color: rgba(var(--bs-emphasis-color-rgb), 1); */
  --bs-navbar-nav-link-padding-x: .75rem;
  --bs-navbar-toggler-padding-y: 0.25rem;
  --bs-navbar-toggler-padding-x: 0.75rem;
  --bs-navbar-toggler-font-size: 1.25rem;
  /* --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2833, 37, 41, 0.75%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e"); */
  --bs-navbar-toggler-border-color: rgba(var(--bs-emphasis-color-rgb), 0.15);
  --bs-navbar-toggler-border-radius: var(--bs-border-radius);
  --bs-navbar-toggler-focus-width: 0.25rem;
  --bs-navbar-toggler-transition: box-shadow 0.15s ease-in-out;
  position: fixed;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;

  border-bottom: #1E2939 .25rem solid;
  z-index: 9999999;
}

.btn-main-botton {
  --bs-btn-color: black;
  --bs-btn-bg: #BCEB1B;
  --bs-btn-border-color: #BCEB1B;

  --bs-btn-hover-bg: #A4CE1A;

}
.text-color-spe{
  color: #979EAC;
}
h2 {
  font-size: 3.75rem;
  color: white;
}

.fs-60 {
  font-size: 3.75;
}

.h-65 {
  height: 65%;
}

.pt-8 {
  padding-top: 8rem;
}

.hero {


  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(to right, #C4FC29, #0ADF72) border-box;


  border: .1875rem solid transparent;


  border-radius: 1.25rem;

  display: inline-block;
  color: #333;
}


.h-100vh {

  background-image: linear-gradient(rgba(0, 0, 0, 0.892)), url(../images/hero-bg.jpg);
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

.smart-btn {
  position: relative;
  padding: .5rem 2rem;
  font-size: 1rem;
  font-weight: bold;
  background-color: #BCEB1B;
  color: black;
  border: none;
  border-radius: 5.648px;
  cursor: pointer;
  overflow: hidden;
  z-index: 1;
  transition: background-color 0.4s;
}

.smart-btn-extra {
  position: relative;
  padding: .5rem 2rem;
  font-size: 1rem;
  font-weight: bold;
  background-color: inherit;
  color: #BCEB1B;
  border: .125rem solid #BCEB1B;
  border-radius: 5.648px;
  cursor: pointer;
  overflow: hidden;
  z-index: 1;
  transition: background-color 0.4s;
}


.smart-btn::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #A4CE1A;
  z-index: -2;
  opacity: 0;
  transition: opacity 0.4s;
}

.smart-btn-extra::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #A4CE1A;
  z-index: -2;
  opacity: 0;
  transition: opacity 0.4s;
}



.smart-btn::before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, transparent, rgba(255, 255, 255, 0.4), transparent);
  transform: skewX(-25deg);
  z-index: -1;
  transition: left 0.5s ease-in-out;
}

.smart-btn-extra::before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, transparent, rgba(255, 255, 255, 0.4), transparent);
  transform: skewX(-25deg);
  z-index: -1;
  transition: left 0.5s ease-in-out;
}


.smart-btn:hover {
  background-color: #2c3e50;
}

.smart-btn-extra:hover {
  background-color: #C4FC29;
  color: black;
}

.smart-btn:hover::after {
  opacity: 1;
}

.smart-btn-extra:hover::after {
  opacity: 1;
}

.smart-btn:hover::before {
  left: 150%;
}

.smart-btn-extra:hover::before {
  left: 150%;
}

.bottons {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
}

.hero-image-card {
  border: .0625rem solid #364153;
  width: fit-content;
  background-color: #0B0E13;
  top: 60%;
  left: 1%;
  border-radius: .5rem;
}

/* section our games */
.bg-section {
  background: #0B0E13;
}

h3 {
  font-size: 3rem;
  color: white;
}

.liner {
  color: #C4FC29;
  font-weight: bold;
}

.liner::after {
  content: "";
  width: 8%;
  height: .125rem;

  background: linear-gradient(to right, transparent, #C4FC29);
  position: absolute;
  top: 7%;
  left: 37%;
  
}

.liner::before {
  content: "";
  width: 8%;
  height: .125rem;

  background: linear-gradient(to left, transparent, #C4FC29);
  position: absolute;
  top:7%;
  left: 59%;
  
}


.span-cards {
  background-color: #2A481C;
  padding: .125rem;
  border-radius: .4375rem;

}


.card {
  position: relative;
  width: 100%;

  overflow: hidden;
  border-radius: .9375rem;
  background: #0B0E13;
  /* خلفية سوداء تظهر وقت الحركة */
}

.card img {
  width: 100%;
  object-position: center;
  object-fit: cover;
  transition: 0.5s;
  opacity: 1;

}


.content-top,
.content-bottom {
  position: absolute;
  left: 0;
  width: 100%;
  padding: 1.25rem;
  box-sizing: border-box;
  color: white;
  transition: 0.5s ease;
  z-index: 2;

}


.content-top {
  top: 0;
  transform: translateY(-100%);
  background: linear-gradient(#C4FC29, transparent);
}


.content-bottom {
  bottom: 0;
  transform: translateY(100%);
  background: linear-gradient(transparent, #C4FC29);

}


.card:hover .content-top,
.card:hover .content-bottom {
  transform: translateY(0);
 

}

.card:hover img {
  opacity: 0.6;

  transform: scale(1.1);

}

.card:hover {
  border: .1875rem solid #C4FC29;
}


/* test */

.feature-card {
  position: relative;
  
  width: 100%;
  height: 100%;
  padding: 40px;
  background: #1A1A1A;
  border: 2px solid #1E2939;
  border-radius: 15px;
  text-align: center;
  overflow: hidden;
 
  cursor: pointer;
  transition: border-color 0.4s ease;
 
}


.icon-wrapper {
  width: 80px;
  height: 80px;
  background-color: #1E2939;
  border-radius: .9375rem;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto 20px;
  transition: background-color 0.4s ease;
}

.icon-wrapper i {
  font-size: 30px;
  color: #CBFE1C;
  transition: color 0.4s ease;
}


.feature-card::before,
.feature-card::after {
  content: "";
  position: absolute;
  width: 40px;
  height: 40px;
  background-color: #CBFE1C;

  transition: all 0.5s ease;
  opacity: 0;
  z-index: 1;
}


.feature-card::before {
  top: 1.25rem;
  left: 1.25rem;
  clip-path: polygon(0 0, 100% 0, 0 100%);
  transform: translate(-100%, -100%);
}


.feature-card::after {
  bottom: 20px;
  right: 1.25rem;
  clip-path: polygon(100% 0, 100% 100%, 0 100%);
  transform: translate(100%, 100%);
}




.feature-card:hover {
  border-color: #CBFE1C;
}


.feature-card:hover .icon-wrapper {
  background-color: #CBFE1C;
}

.feature-card:hover .icon-wrapper i {
  color: black;
}


.feature-card:hover::before,
.feature-card:hover::after {
  opacity: 1;
  transform: translate(0, 0);
}

.border-rad {
  border-radius: 1.25rem;
}

.logos {
 
   position: relative;
  border-top: solid .125rem;
  border-image: linear-gradient(to right,
      transparent 0%,
     
      transparent 15%,
     
      #C5F514 40%,
     
      #C5F514 60%,
     
      transparent 85%,
     
      transparent 100%
      
    ) 1;
    background-image: radial-gradient(#A7D11A , #0B0E13 70%);
}






.reveal-card {
  width: 100%;
  height: 350px;
  position: relative;
  border-radius: 1.25rem;
  overflow: hidden;
  box-shadow: 0 .9375rem 2.1875rem rgba(0,0,0,0.2);
  cursor: pointer;
}

.card-base {
  width: 100%;
  height: 100%;
  filter: grayscale(100%);
  transition: filter 0.8s ease;
}

.card-base img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
}


.text-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 0 .125rem;
  background: linear-gradient(to top, rgba(0,0,0,0.8), transparent); /* تدرج أسود لتوضيح النص */
  color: #C4FC29;
  
  text-align: left;
  z-index: 1;
}


.top-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.15);
 
  z-index: 2;
  transition: transform 0.7s cubic-bezier(0.4, 0, 0.2, 1);
}


.reveal-card:hover .top-layer {
  transform: translateY(-100%);
}

.reveal-card:hover .card-base {
  filter: grayscale(0%);
}





.vertical-text {
  writing-mode: vertical-rl;
  text-orientation: mixed;   
  
}


.bg-form{
  background-color: #101624;
}

.pb-6{
  padding-bottom: 7.5rem;
}

.bg-form-cards{
  background-color: #1E2939;
}

.icon-wrapper-form{
  width: 80px;
  height: 80px;
  background-color: #C4FC29;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 2px 0;
  transition: background-color 0.4s ease;
  font-size: 1.5625rem;
}

.bg-form-cards-spe{
  background-image: linear-gradient(to right , #C8FD24 , #1FE071);
}
.icon-wrapper-form-spe{
   width: 60px;
  height: 60px;
  background-color: #000000;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 2px 0;
  transition: background-color 0.4s ease;
  font-size: 1.5625rem;
  color: #C4FC29;
  transition: all .5s;

}
.test-test{
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}
.test-test-cards{
  width: fit-content
}


.icon-wrapper-form-spe:hover{
background-color: #00000095;
color: #000000;
}


.bg-form-inp{
  background-color: #364153;
}
textarea{
  resize: none;
  height: 8rem;
}
.ico-spe:hover{
  color: #C4FC29;
}



@media screen and (max-width:768px) {
  .content-top{
    display: none;
  }
}